Load Balancer
Configure Health Check
put
/loadbalancer/{lb_uuid}/listeners/{listener_uuid}/health-checkCreate or update health check configuration for a listener.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
lb_uuid*string
listener_uuid*string
Cuerpo de la petición
Create or update a health check
application/jsonObligatorio
protocol?LBHealthCheckProtocol | null
Por defecto
"http"Valores"http""https""tcp"path?string | null
Path for HTTP/HTTPS checks
Rango
length ≤ 255Por defecto"/"port?integer | null
Override port
Rango
1 ≤ value ≤ 65535interval_seconds?integer | null
Rango
5 ≤ value ≤ 300Por defecto30timeout_seconds?integer | null
Rango
1 ≤ value ≤ 60Por defecto5healthy_threshold?integer | null
Rango
1 ≤ value ≤ 10Por defecto2unhealthy_threshold?integer | null
Rango
1 ≤ value ≤ 10Por defecto3expected_codes?string | null
Expected HTTP status codes
Rango
length ≤ 100Por defecto"200-399"http_method?string | null
Por defecto
"GET"Valores"GET""HEAD"Respuestas
Successful Response
application/json
detail*string
listener_uuid*string